var accion = document.editarClaseForm.accion.value;
$("#feini").rup_date ();	
//Formatear la fecha 
if ($("#feini").val()!=""){
    var fechaIni = new Date($("#feini").val().substring(0,10).replace("-","/").replace("-","/"));
    $("#feini").rup_date("setDate", fechaIni);
}
	
	
	$( document ).ready(function() {

		
		/********************************* BOTON VOLVER  ****************************************************************/
		$("#bt_Volver").bind("click", volver);

		buscaTecnicos(); // rellenamos  las listas de tecnicos de contrata
		
	});
	$("#feini").rup_date();	
	
	
function volver() {
	if ($("#ventanaOrigen").val()=="mantClases"){
		window.location = "/aa20bMaqPartesWar/clase/maintVolver";	
	}else{
		history.back();	
	}

}
	
	
/********************************* GUARDAR NUEVO ****************************************************************/	
	/*
	// Al pulsar el botón guardar enviamos los campos del formulario al Controller
	$("#bt_guardar").bind("click", confirmarGuardar);
	
	function confirmarGuardar (){
		$.rup_messages("msgConfirm", {
			title: $.rup.i18nParse($.rup.i18n.app,"mensajesClase.guardar"),			
			message: $.rup.i18nParse($.rup.i18n.app,"accionesRegistros.deseaGuardar"),
			OKFunction: function(){
				guardarNuevaClase();		
			},
			CANCELFunction : function(){
			}
			});
	}
		
	function guardarNuevaClase() {	
		var properties={
				url:"../clase/addNuevaClase",
				feedback:$("#feedbackEditarClase"),
				useJsonIfPossible: true,
				 error: function(data) {
					 alert(data);
					 mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errorguardar + "</strong></p>");
				 },
				 success: function(){					 					
					 mensajeInfo("<p><strong>" +  $.rup.i18n.app.accionesRegistros.guardadook + "</strong></p>");       		
		        	   document.editarClaseForm.accion.value = "MODIFICAR";
		        	   $("#checkboxBaja").show();
				 },
				 validate: {
					 rules: {
						 "cclase":{required:true},
						 "eclase":{required:true}
					 }
				 }
				};
				$("#editarClaseForm").rup_form(properties);				
				$("#editarClaseForm").submit();
	}
	*/
	/********************************* FIN GUARDAR NUEVO ****************************************************************/

	/********************************* MODIFICAR  ****************************************************************/	
	// Al pulsar el botón guardar enviamos los campos del formulario al Controller
	$("#bt_modificar").bind("click", confirmarModificar);
	
	function confirmarModificar (){
			// Si La clase tenia antes la marcar de UsuPubli y la deschequea avisar que de continuar se deschequearan los codigos asociados a la clase.
			if ($("#valorInicialUsuPubli").val()==1 &&  !$("#usupubli").is(':checked')){
				$.rup_messages("msgConfirm", {
					title: $.rup.i18nParse($.rup.i18n.app,"mensajesClase.modificar"),			
					message: $.rup.i18nParse($.rup.i18n.app,"mensajesClase.descheckUsuPubli"),
					OKFunction: function(){
						modificarClaseYDescheq ();		
					},
					CANCELFunction : function(){
					}
					});
			}else if ($("#valorInicialUsuPubli").val()==0 && $("#usupubli").is(':checked')){ 
			// Si La clase NO tenia antes la marcar de UsuPubli y la Chequeta Se chequearán automáticamente todos los codigos asociados a la clase.
				$.rup_messages("msgConfirm", {
					title: $.rup.i18nParse($.rup.i18n.app,"mensajesClase.modificar"),			
					message: $.rup.i18nParse($.rup.i18n.app,"accionesRegistros.deseaModificar"),
					OKFunction: function(){
						modificarClaseYCheqCodigos ();		
					},
					CANCELFunction : function(){
					}
					});
			}else{
				$.rup_messages("msgConfirm", {
					title: $.rup.i18nParse($.rup.i18n.app,"mensajesClase.modificar"),			
					message: $.rup.i18nParse($.rup.i18n.app,"accionesRegistros.deseaModificar"),
					OKFunction: function(){
						modificarClase ();		
					},
					CANCELFunction : function(){
					}
					});
			}
	}
	
	function modificarClaseYDescheq () {		
		var properties={
				url:"../clase/modificarClaseYDescheq",
				feedback:$("#feedbackEditarClase"),
				useJsonIfPossible: true,
				 beforeSend : function(data) {
						//Mostrar div de sincronizando
					  $("#dialogoGuardar").rup_dialog(
								{
									type : $.rup.dialog.DIV,
									height : 200,
									width : 500,
									modal : true,
									showLoading : true,
									autoOpen : false,
									title : $.rup.i18n.app.mensajesEdificios.guardando
								});
						$("#dialogoGuardar").rup_dialog("open");
				  },
				 error: function(data) {		
					 $("#dialogoGuardar").rup_dialog("close");
					  	$("#dialogoGuardar").rup_dialog("destroy");
					 mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errormodificar + "</strong></p>");
				 },
				 success: function(){		
					 $("#dialogoGuardar").rup_dialog("close");
					  	$("#dialogoGuardar").rup_dialog("destroy");
					 mensajeInfo("<p><strong>" +  $.rup.i18n.app.accionesRegistros.modificadook + "</strong></p>");       				        	
				 },
				 validate: {
					 rules: {
						 "cclase":{required:true},
						 "eclase":{required:true}
					 }
				 }
				};
				$("#editarClaseForm").rup_form(properties);				
				$("#editarClaseForm").submit();
		
	}

	function modificarClaseYCheqCodigos () {		
		var properties={
				url:"../clase/modificarClaseYCheqCodigos",
				feedback:$("#feedbackEditarClase"),
				useJsonIfPossible: true,
				 beforeSend : function(data) {
						//Mostrar div de sincronizando
					  $("#dialogoGuardar").rup_dialog(
								{
									type : $.rup.dialog.DIV,
									height : 200,
									width : 500,
									modal : true,
									showLoading : true,
									autoOpen : false,
									title : $.rup.i18n.app.mensajesEdificios.guardando
								});
						$("#dialogoGuardar").rup_dialog("open");
				  },
				 error: function(data) {	
					 $("#dialogoGuardar").rup_dialog("close");
					  	$("#dialogoGuardar").rup_dialog("destroy");
					 mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errormodificar + "</strong></p>");
				 },
				 success: function(){	
					 $("#dialogoGuardar").rup_dialog("close");
					  	$("#dialogoGuardar").rup_dialog("destroy");
					 mensajeInfo("<p><strong>" +  $.rup.i18n.app.accionesRegistros.modificadook + "</strong></p>");       				        	
				 },
				 validate: {
					 rules: {
						 "cclase":{required:true},
						 "eclase":{required:true}
					 }
				 }
				};
				$("#editarClaseForm").rup_form(properties);				
				$("#editarClaseForm").submit();
		
	}
	
	
	function modificarClase () {		
		var properties={
				url:"../clase/modificaClase",
				feedback:$("#feedbackEditarClase"),
				useJsonIfPossible: true,
				 beforeSend : function(data) {
						//Mostrar div de sincronizando
					  $("#dialogoGuardar").rup_dialog(
								{
									type : $.rup.dialog.DIV,
									height : 200,
									width : 500,
									modal : true,
									showLoading : true,
									autoOpen : false,
									title : $.rup.i18n.app.mensajesEdificios.guardando
								});
						$("#dialogoGuardar").rup_dialog("open");
				  },
				 error: function(data) {	
					 $("#dialogoGuardar").rup_dialog("close");
					  	$("#dialogoGuardar").rup_dialog("destroy");
					 mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errormodificar + "</strong></p>");
				 },
				 success: function(){	
					 $("#dialogoGuardar").rup_dialog("close");
					  	$("#dialogoGuardar").rup_dialog("destroy");
					 mensajeInfo("<p><strong>" +  $.rup.i18n.app.accionesRegistros.modificadook + "</strong></p>");       				        	
				 },
				 validate: {
					 rules: {
						 "cclase":{required:true},
						 "eclase":{required:true}
					 }
				 }
				};
				$("#editarClaseForm").rup_form(properties);				
				$("#editarClaseForm").submit();
		
	}
	
	/********************************* FIN MODIFICAR  ****************************************************************/
	
	/********************************* FEEDBACK MENSAJES OK  ****************************************************************/
	
	function mensajeInfo (texto) {
		 var properties = {
   				type: "ok",
   				fadeSpeed: 600,
   				gotoTop: false,
   				block: false,
   				closeLink: false
   			};
   	//	var texto = "<p><strong>" +  $.rup.i18n.app.feedbackNuevoClaseIncidenciaGuardada.modificadook + "</strong></p>";
   		$("#feedbackEditarClase").rup_feedback (properties);

   		$("#feedbackEditarClase").rup_feedback("set", texto);

   		$("#feedbackEditarClase").rup_feedback("show");
	}
	
	
	/* Error */
	function mensajeError (texto) {
		 var properties = {
 				type: "error",
 				fadeSpeed: 600,
 				gotoTop: false,
 				block: false,
 				closeLink: false
 			};
 	
 		$("#feedbackEditarClase").rup_feedback (properties);

 		$("#feedbackEditarClase").rup_feedback("set", texto);

 		$("#feedbackEditarClase").rup_feedback("show");
	}
	/********************************* FIN FEEDBACK MENSAJES OK  ****************************************************************/

	

	jQuery("#feedbackEditarClase").rup_feedback({
		  type: "ok",                  
		  closeLink: true,                  
		  delay: 1000,                  
		  fadeSpeed: 500,                  
		  block:true          
		  }); 


	/********************************* TECNICOS ************************************************/
	
	function buscaTecnicos() {
		var codigoClase = $("#idclase").val();
		$("#tecnicosLibres").empty();
		$("#tecnicosOcupados").empty();
		
		$.ajax({
			  type: "POST",
			  url: "../tecnicos/obtenerTecnicosClaseContrataLibres",
			  data:  { idClase:codigoClase},
			  success: function(data){
				  $("#tecnicosLibres").empty();
                  var miselect=$("#tecnicosLibres");
                  for (var i=0; i<data.length; i++) {
  			  		if(data[i].presente){
  			  			miselect.append('<option value="' + data[i].idtecnico + '" style="color:green;">' + data[i].nombre + '</option>');
  			  		}else{
  			  			miselect.append('<option value="' + data[i].idtecnico + '" style="color:red;">' + data[i].nombre + '</option>');
  			  		}
  			  	}									  
				  },
				 error: function(data){
					 alert( data);
				 },
			  dataType: "json"
			});
		$.ajax({
			  type: "POST",
			  url: "../tecnicos/obtenerTecnicosClaseContrataAsignados",
			  data:  { idClase:codigoClase},
			  success: function(data){
				  $("#tecnicosOcupados").empty();
                  var miselect=$("#tecnicosOcupados");
                  for (var i=0; i<data.length; i++) {
  			  		if(data[i].presente){
  			  			miselect.append('<option value="' + data[i].idtecnico + '" style="color:green;">' + data[i].nombre + '</option>');
  			  		}else{
  			  			miselect.append('<option value="' + data[i].idtecnico + '" style="color:red;">' + data[i].nombre + '</option>');
  			  		}
  			  		}								  
				  },
				 error: function(data){
					 alert( data);
				 },
			  dataType: "json"
			});
	  }
		
	
	$("#siguienteTecnico").bind("click", confirmarSumaTecnicos);
	$("#anteriorTecnico").bind("click", confirmarRestaTecnicos);
	
	function confirmarSumaTecnicos(){
		$.rup_messages("msgConfirm", {
			title: $.rup.i18nParse($.rup.i18n.app,"mensajesTecnicos.alta"),			
			message: $.rup.i18nParse($.rup.i18n.app,"mensajesTecnicos.sumaTecnico"),
			OKFunction: function(){
				sumaTecnicos();		
			},
			CANCELFunction : function(){
			}
			});
	}
	
	function confirmarRestaTecnicos (){
		$.rup_messages("msgConfirm", {
			title: $.rup.i18nParse($.rup.i18n.app,"mensajesTecnicos.baja"),			
			message: $.rup.i18nParse($.rup.i18n.app,"mensajesTecnicos.restaTecnico"),
			OKFunction: function(){
				restaTecnicos();		
			},
			CANCELFunction : function(){
			}
			});
	}
	
	function formaArrayJson (lista) {
		var listaJson = "";
		for (i=0; i<lista.length; i++ ) {
			listaJson += lista[i];			
			if (i!= (lista.length - 1) ) {
				listaJson += ",";
			}		
		}			
		return listaJson;
	}
	
	function sumaTecnicos() {
		var codigoClase = $("#idclase").val();
		var tecnicosSeleccionados = $('#tecnicosLibres').val();
			
		$.ajax({
			  type: "POST",				  
			  url: "../tecnicos/sumaTecnicosClaseContrata",
			  data:  { idClase:codigoClase,tecnicosSeleccionados:formaArrayJson(tecnicosSeleccionados)
			  },
			  success: function(data4){					 
				  	!$('#tecnicosLibres option:selected').remove().appendTo('#tecnicosOcupados'); 		  
				  },
			  error: function() {
				  mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errorguardar + "</strong></p>");
			  },
			  dataType: "json"
			});
	
	}
	function restaTecnicos() {
		var codigoClase = $("#idclase").val();
		var tecnicosSeleccionados = $('#tecnicosOcupados').val();
			
		//comprobar si en la tabla ClaseContrata para esta clase y técnico seleccionado el campo IDCODIGO es diferente de cero
		  $.ajax({
			  type: "POST",
			  url: "../clasecontrata/tieneCodigosAsociados",
			  data:  { idClase:codigoClase,tecnicosSeleccionados:formaArrayJson(tecnicosSeleccionados)},
			  success: function(data){
					  if (data==true){
						  // La clase y tecnico tienen codigos distintos de cero. pedir confirmación para eliminarlos
							$.rup_messages("msgConfirm", {
								title: $.rup.i18nParse($.rup.i18n.app,"comun.control"),			
								message: $.rup.i18nParse($.rup.i18n.app,"mensajesClase.hayCodigos"),
								OKFunction: function(){
									eliminarTecnicosContrata ();		
								},
								CANCELFunction : function(){
								}
								});
					  }else{
						  eliminarTecnicosContrata();
						  }
					  },
						 error: function(data){
							 alert( data);
						 },
					  dataType: "json"
					});
		  

		
	}

function eliminarTecnicosContrata(){
	var codigoClase = $("#idclase").val();
	var tecnicosSeleccionados = $('#tecnicosOcupados').val();
	
	$.ajax({
		  type: "POST",				  
		  url: "../tecnicos/restaTecnicosClaseContrata",
		  data:  { idClase:codigoClase,tecnicosSeleccionados:formaArrayJson(tecnicosSeleccionados)
		  },
		  success: function(data4){					 
			  	!$('#tecnicosOcupados option:selected').remove().appendTo('#tecnicosLibres'); 		  
			  },
		  error: function() {
			  mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errorBorrar + "</strong></p>");
		  },
		  dataType: "json"
		});
}
	
 /********************** FIN TECNICOS *********************************/

